package com.huatek.busi.service.impl.report;

import com.huatek.busi.common.ReportType;
import com.huatek.busi.common.SiteConstants.SiteTreeEnum;
import com.huatek.busi.dto.EquipmentInfoDto;
import com.huatek.busi.service.impl.report.helper.ReportImpl;

/**
 * Gis局放检测-月报告
 * 
 * @author anker_cheng
 * @date 2019/09/25
 */
@ReportImpl(value = "busiGisPdMonthlyReprotService", exportTypes = {ReportType.GIS_JF_MONTHLY_REPORT})
public class BusiGisPdMonthlyReprotServiceImpl extends AbstractPdMonthlyReprotService {

    @Override
    protected String fileName() {
        return "GIS局放检测月报告";
    }

    @Override
    protected EquipmentInfoDto findEquipmentInfo(String sensorCode) {
        return busiSubTreeService.findEquipmentInfo(sensorCode, SiteTreeEnum.GIS.getValue());
    }
}
